Skip to main content
GET
/
api
/
v2
/
affiliate
/
campaigns
/
{id}
Get affiliate campaign
curl --request GET \
  --url 'https://{domain}/api/v2/affiliate/campaigns/{id}?api-key='
{
  "message": "<string>",
  "success": true,
  "info": {
    "campaign": {
      "id": 123,
      "hash": "<string>",
      "name": "<string>",
      "affiliate_id": 123,
      "offer_id": 123,
      "commission_plan_id": 123,
      "traffic_source_id": 123,
      "landing_page_id": 123,
      "creative_id": 123,
      "status": 123,
      "created": 123,
      "updated": 123,
      "offer": {
        "id": 123,
        "title": "<string>"
      },
      "commission_plan": {
        "id": 123,
        "title": "<string>"
      },
      "traffic_source": {
        "id": 123,
        "title": "<string>"
      },
      "landing_page": {
        "id": 123,
        "title": "<string>"
      },
      "creative": {
        "id": 123,
        "title": "<string>"
      }
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.scaleo.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

api-key
string
query
required

API key passed as query parameter. User must have api_status enabled.

Path Parameters

id
integer
required

Campaign ID.

Response

Campaign details.

message
string
success
boolean
info
object